HtmlTreeNode (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlTreeNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlTreeNode

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UITreeNode
                  org.richfaces.component.html.HtmlTreeNode

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.richfaces.component.Draggable, org.richfaces.component.Dropzone, org.richfaces.event.DropSource, org.richfaces.event.TreeListenerEventsProducer

    public class HtmlTreeNode

extends UITreeNode

Component-Type org.richfaces.TreeNode Component-Family org.richfaces.TreeNode Renderer-Type org.richfaces.TreeNodeRenderer

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UITreeNode
`DEFAULT_NODE_FACE_ATTRIBUTE_NAME`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlTreeNode()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAjaxSubmitSelection()` An algorithm of AJAX request submission.
`javax.faces.el.MethodBinding` | `getChangeExpandListener()` Listener called on expand/collapse event on the node Getter for changeExpandListener
`javax.faces.el.MethodBinding` | `getDragListener()` MethodBinding representing an action listener method that will be notified after drag operation Getter for dragListener
`java.lang.Object` | `getDragValue()` Data to be sent to the drop zone after a drop event Getter for dragValue
`javax.faces.el.MethodBinding` | `getDropListener()` MethodBinding representing an action listener method that will be notified after drop operation Getter for dropListener
`java.lang.Object` | `getDropValue()` Data to be processed after a drop event Getter for dropValue
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHighlightedClass()` Corresponds to the HTML class attribute.
`java.lang.String` | `getIcon()` The icon for node Getter for icon
`java.lang.String` | `getIconCollapsed()` The icon for collapsed node Getter for iconCollapsed
`java.lang.String` | `getIconExpanded()` The icon for expanded node Getter for iconExpanded
`java.lang.String` | `getIconLeaf()` An icon for component leaves Getter for iconLeaf
`java.lang.String` | `getNodeClass()` Name of node CSS class Getter for nodeClass
`javax.faces.el.MethodBinding` | `getNodeSelectListener()` MethodBinding representing an action listener method that will be notified after selection of node.
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOncollapse()` HTML: script expression to invoke on node collapsing Getter for oncollapse
`java.lang.String` | `getOncontextmenu()` JavaScript handler to be called on right click.
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOndragend()` A JavaScript event handler called after a drag operation Getter for ondragend
`java.lang.String` | `getOndragenter()` A JavaScript event handler called on enter draggable object to zone Getter for ondragenter
`java.lang.String` | `getOndragexit()` A JavaScript event handler called after a drag object leaves zone Getter for ondragexit
`java.lang.String` | `getOndragstart()` A JavaScript event handler called before drag object Getter for ondragstart
`java.lang.String` | `getOndrop()` It's an event that is called when something is dropped on a drop zone Getter for ondrop
`java.lang.String` | `getOndropend()` A JavaScript handler for event fired on a drop even the drop for a given type is not available Getter for ondropend
`java.lang.String` | `getOnexpand()` HTML: script expression to invoke on node expansion Getter for onexpand
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getOnselected()` HTML: script expression to invoke on node selection Getter for onselected
`java.lang.String` | `getSelectedClass()` Corresponds to the HTML class attribute.
`java.lang.String` | `getType()` A node type Getter for type
`java.lang.Object` | `getTypeMapping()` Map between a draggable type and an indicator name on zone.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxSubmitSelection(java.lang.String __ajaxSubmitSelection)` An algorithm of AJAX request submission.
`void` | `setChangeExpandListener(javax.faces.el.MethodBinding __changeExpandListener)` Listener called on expand/collapse event on the node Setter for changeExpandListener
`void` | `setDragListener(javax.faces.el.MethodBinding __dragListener)` MethodBinding representing an action listener method that will be notified after drag operation Setter for dragListener
`void` | `setDragValue(java.lang.Object __dragValue)` Data to be sent to the drop zone after a drop event Setter for dragValue
`void` | `setDropListener(javax.faces.el.MethodBinding __dropListener)` MethodBinding representing an action listener method that will be notified after drop operation Setter for dropListener
`void` | `setDropValue(java.lang.Object __dropValue)` Data to be processed after a drop event Setter for dropValue
`void` | `setHighlightedClass(java.lang.String __highlightedClass)` Corresponds to the HTML class attribute.
`void` | `setIcon(java.lang.String __icon)` The icon for node Setter for icon
`void` | `setIconCollapsed(java.lang.String __iconCollapsed)` The icon for collapsed node Setter for iconCollapsed
`void` | `setIconExpanded(java.lang.String __iconExpanded)` The icon for expanded node Setter for iconExpanded
`void` | `setIconLeaf(java.lang.String __iconLeaf)` An icon for component leaves Setter for iconLeaf
`void` | `setNodeClass(java.lang.String __nodeClass)` Name of node CSS class Setter for nodeClass
`void` | `setNodeSelectListener(javax.faces.el.MethodBinding __nodeSelectListener)` MethodBinding representing an action listener method that will be notified after selection of node.
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOncollapse(java.lang.String __oncollapse)` HTML: script expression to invoke on node collapsing Setter for oncollapse
`void` | `setOncontextmenu(java.lang.String __oncontextmenu)` JavaScript handler to be called on right click.
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOndragend(java.lang.String __ondragend)` A JavaScript event handler called after a drag operation Setter for ondragend
`void` | `setOndragenter(java.lang.String __ondragenter)` A JavaScript event handler called on enter draggable object to zone Setter for ondragenter
`void` | `setOndragexit(java.lang.String __ondragexit)` A JavaScript event handler called after a drag object leaves zone Setter for ondragexit
`void` | `setOndragstart(java.lang.String __ondragstart)` A JavaScript event handler called before drag object Setter for ondragstart
`void` | `setOndrop(java.lang.String __ondrop)` It's an event that is called when something is dropped on a drop zone Setter for ondrop
`void` | `setOndropend(java.lang.String __ondropend)` A JavaScript handler for event fired on a drop even the drop for a given type is not available Setter for ondropend
`void` | `setOnexpand(java.lang.String __onexpand)` HTML: script expression to invoke on node expansion Setter for onexpand
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setOnselected(java.lang.String __onselected)` HTML: script expression to invoke on node selection Setter for onselected
`void` | `setSelectedClass(java.lang.String __selectedClass)` Corresponds to the HTML class attribute.
`void` | `setType(java.lang.String __type)` A node type Setter for type
`void` | `setTypeMapping(java.lang.Object __typeMapping)` Map between a draggable type and an indicator name on zone.

Methods inherited from class org.richfaces.component.UITreeNode
`addChangeExpandListener, addDragListener, addDropListener, addNodeSelectListener, broadcast, getAcceptedTypes, getAttributes, getChangeExpandListeners, getData, getDefaultOndragend, getDefaultOndragenter, getDefaultOndragexit, getDefaultOndragstart, getDefaultOndrop, getDefaultOndropend, getDragIndicator, getDragListeners, getDragType, getDropListeners, getEventsQueue, getFocus, getIconCollapsedFacet, getIconExpandedFacet, getIconFacet, getIconLeafFacet, getLocalDragIndicator, getNodeSelectListeners, getOncomplete, getRequestDelay, getReRender, getResolvedDragIndicator, getStatus, getTimeout, getUITree, hasAjaxSubmitSelection, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, removeChangeExpandListener, removeDragListener, removeDropListener, removeNodeSelectListener, setAcceptedTypes, setAjaxSingle, setBypassUpdates, setData, setDragIndicator, setDragType, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOncomplete, setRequestDelay, setReRender, setStatus, setTimeout`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlTreeNode

    public HtmlTreeNode()

  Constructor to init default renderers

Method Detail

### setDragValue

    public void setDragValue(java.lang.Object __dragValue)

  Data to be sent to the drop zone after a drop event Setter for dragValue

  Parameters:
    `dragValue` - - new value

### getDragValue

    public java.lang.Object getDragValue()

  Data to be sent to the drop zone after a drop event Getter for dragValue

  Returns:
    dragValue value from local variable or value bindings

### setAjaxSubmitSelection

    public void setAjaxSubmitSelection(java.lang.String __ajaxSubmitSelection)

  An algorithm of AJAX request submission. "inherit", "true", "false" values are possible Setter for ajaxSubmitSelection

  Specified by:
    `setAjaxSubmitSelection` in class `UITreeNode`
  Parameters:
    `ajaxSubmitSelection` - - new value

### getAjaxSubmitSelection

    public java.lang.String getAjaxSubmitSelection()

  An algorithm of AJAX request submission. "inherit", "true", "false" values are possible Getter for ajaxSubmitSelection

  Specified by:
    `getAjaxSubmitSelection` in class `UITreeNode`
  Returns:
    ajaxSubmitSelection value from local variable or value bindings

### setOnexpand

    public void setOnexpand(java.lang.String __onexpand)

  HTML: script expression to invoke on node expansion Setter for onexpand

  Parameters:
    `onexpand` - - new value

### getOnexpand

    public java.lang.String getOnexpand()

  HTML: script expression to invoke on node expansion Getter for onexpand

  Returns:
    onexpand value from local variable or value bindings

### setOndropend

    public void setOndropend(java.lang.String __ondropend)

  A JavaScript handler for event fired on a drop even the drop for a given type is not available Setter for ondropend

  Parameters:
    `ondropend` - - new value

### getOndropend

    public java.lang.String getOndropend()

  A JavaScript handler for event fired on a drop even the drop for a given type is not available Getter for ondropend

  Returns:
    ondropend value from local variable or value bindings

### setOncollapse

    public void setOncollapse(java.lang.String __oncollapse)

  HTML: script expression to invoke on node collapsing Setter for oncollapse

  Parameters:
    `oncollapse` - - new value

### getOncollapse

    public java.lang.String getOncollapse()

  HTML: script expression to invoke on node collapsing Getter for oncollapse

  Returns:
    oncollapse value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setDragListener

    public void setDragListener(javax.faces.el.MethodBinding __dragListener)

  MethodBinding representing an action listener method that will be notified after drag operation Setter for dragListener

  Parameters:
    `dragListener` - - new value

### getDragListener

    public javax.faces.el.MethodBinding getDragListener()

  MethodBinding representing an action listener method that will be notified after drag operation Getter for dragListener

  Returns:
    dragListener value from local variable or value bindings

### setNodeSelectListener

    public void setNodeSelectListener(javax.faces.el.MethodBinding __nodeSelectListener)

  MethodBinding representing an action listener method that will be notified after selection of node. Setter for nodeSelectListener

  Parameters:
    `nodeSelectListener` - - new value

### getNodeSelectListener

    public javax.faces.el.MethodBinding getNodeSelectListener()

  MethodBinding representing an action listener method that will be notified after selection of node. Getter for nodeSelectListener

  Returns:
    nodeSelectListener value from local variable or value bindings

### setDropValue

    public void setDropValue(java.lang.Object __dropValue)

  Data to be processed after a drop event Setter for dropValue

  Parameters:
    `dropValue` - - new value

### getDropValue

    public java.lang.Object getDropValue()

  Data to be processed after a drop event Getter for dropValue

  Returns:
    dropValue value from local variable or value bindings

### setDropListener

    public void setDropListener(javax.faces.el.MethodBinding __dropListener)

  MethodBinding representing an action listener method that will be notified after drop operation Setter for dropListener

  Parameters:
    `dropListener` - - new value

### getDropListener

    public javax.faces.el.MethodBinding getDropListener()

  MethodBinding representing an action listener method that will be notified after drop operation Getter for dropListener

  Returns:
    dropListener value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setIconLeaf

    public void setIconLeaf(java.lang.String __iconLeaf)

  An icon for component leaves Setter for iconLeaf

  Specified by:
    `setIconLeaf` in class `UITreeNode`
  Parameters:
    `iconLeaf` - - new value

### getIconLeaf

    public java.lang.String getIconLeaf()

  An icon for component leaves Getter for iconLeaf

  Specified by:
    `getIconLeaf` in class `UITreeNode`
  Returns:
    iconLeaf value from local variable or value bindings

### setOndragexit

    public void setOndragexit(java.lang.String __ondragexit)

  A JavaScript event handler called after a drag object leaves zone Setter for ondragexit

  Parameters:
    `ondragexit` - - new value

### getOndragexit

    public java.lang.String getOndragexit()

  A JavaScript event handler called after a drag object leaves zone Getter for ondragexit

  Returns:
    ondragexit value from local variable or value bindings

### setNodeClass

    public void setNodeClass(java.lang.String __nodeClass)

  Name of node CSS class Setter for nodeClass

  Parameters:
    `nodeClass` - - new value

### getNodeClass

    public java.lang.String getNodeClass()

  Name of node CSS class Getter for nodeClass

  Returns:
    nodeClass value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setOndragstart

    public void setOndragstart(java.lang.String __ondragstart)

  A JavaScript event handler called before drag object Setter for ondragstart

  Parameters:
    `ondragstart` - - new value

### getOndragstart

    public java.lang.String getOndragstart()

  A JavaScript event handler called before drag object Getter for ondragstart

  Returns:
    ondragstart value from local variable or value bindings

### setOncontextmenu

    public void setOncontextmenu(java.lang.String __oncontextmenu)

  JavaScript handler to be called on right click. Returning false prevents default browser context menu from being displayed Setter for oncontextmenu

  Parameters:
    `oncontextmenu` - - new value

### getOncontextmenu

    public java.lang.String getOncontextmenu()

  JavaScript handler to be called on right click. Returning false prevents default browser context menu from being displayed Getter for oncontextmenu

  Returns:
    oncontextmenu value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOndragend

    public void setOndragend(java.lang.String __ondragend)

  A JavaScript event handler called after a drag operation Setter for ondragend

  Parameters:
    `ondragend` - - new value

### getOndragend

    public java.lang.String getOndragend()

  A JavaScript event handler called after a drag operation Getter for ondragend

  Returns:
    ondragend value from local variable or value bindings

### setOndragenter

    public void setOndragenter(java.lang.String __ondragenter)

  A JavaScript event handler called on enter draggable object to zone Setter for ondragenter

  Parameters:
    `ondragenter` - - new value

### getOndragenter

    public java.lang.String getOndragenter()

  A JavaScript event handler called on enter draggable object to zone Getter for ondragenter

  Returns:
    ondragenter value from local variable or value bindings

### setIconExpanded

    public void setIconExpanded(java.lang.String __iconExpanded)

  The icon for expanded node Setter for iconExpanded

  Specified by:
    `setIconExpanded` in class `UITreeNode`
  Parameters:
    `iconExpanded` - - new value

### getIconExpanded

    public java.lang.String getIconExpanded()

  The icon for expanded node Getter for iconExpanded

  Specified by:
    `getIconExpanded` in class `UITreeNode`
  Returns:
    iconExpanded value from local variable or value bindings

### setIconCollapsed

    public void setIconCollapsed(java.lang.String __iconCollapsed)

  The icon for collapsed node Setter for iconCollapsed

  Specified by:
    `setIconCollapsed` in class `UITreeNode`
  Parameters:
    `iconCollapsed` - - new value

### getIconCollapsed

    public java.lang.String getIconCollapsed()

  The icon for collapsed node Getter for iconCollapsed

  Specified by:
    `getIconCollapsed` in class `UITreeNode`
  Returns:
    iconCollapsed value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setSelectedClass

    public void setSelectedClass(java.lang.String __selectedClass)

  Corresponds to the HTML class attribute. Applied to selected node Setter for selectedClass

  Specified by:
    `setSelectedClass` in class `UITreeNode`
  Parameters:
    `selectedClass` - - new value

### getSelectedClass

    public java.lang.String getSelectedClass()

  Corresponds to the HTML class attribute. Applied to selected node Getter for selectedClass

  Specified by:
    `getSelectedClass` in class `UITreeNode`
  Returns:
    selectedClass value from local variable or value bindings

### setIcon

    public void setIcon(java.lang.String __icon)

  The icon for node Setter for icon

  Specified by:
    `setIcon` in class `UITreeNode`
  Parameters:
    `icon` - - new value

### getIcon

    public java.lang.String getIcon()

  The icon for node Getter for icon

  Specified by:
    `getIcon` in class `UITreeNode`
  Returns:
    icon value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOndrop

    public void setOndrop(java.lang.String __ondrop)

  It's an event that is called when something is dropped on a drop zone Setter for ondrop

  Parameters:
    `ondrop` - - new value

### getOndrop

    public java.lang.String getOndrop()

  It's an event that is called when something is dropped on a drop zone Getter for ondrop

  Returns:
    ondrop value from local variable or value bindings

### setChangeExpandListener

    public void setChangeExpandListener(javax.faces.el.MethodBinding __changeExpandListener)

  Listener called on expand/collapse event on the node Setter for changeExpandListener

  Parameters:
    `changeExpandListener` - - new value

### getChangeExpandListener

    public javax.faces.el.MethodBinding getChangeExpandListener()

  Listener called on expand/collapse event on the node Getter for changeExpandListener

  Returns:
    changeExpandListener value from local variable or value bindings

### setType

    public void setType(java.lang.String __type)

  A node type Setter for type

  Specified by:
    `setType` in class `UITreeNode`
  Parameters:
    `type` - - new value

### getType

    public java.lang.String getType()

  A node type Getter for type

  Specified by:
    `getType` in class `UITreeNode`
  Returns:
    type value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setHighlightedClass

    public void setHighlightedClass(java.lang.String __highlightedClass)

  Corresponds to the HTML class attribute. Applied to highlighted node Setter for highlightedClass

  Specified by:
    `setHighlightedClass` in class `UITreeNode`
  Parameters:
    `highlightedClass` - - new value

### getHighlightedClass

    public java.lang.String getHighlightedClass()

  Corresponds to the HTML class attribute. Applied to highlighted node Getter for highlightedClass

  Specified by:
    `getHighlightedClass` in class `UITreeNode`
  Returns:
    highlightedClass value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnselected

    public void setOnselected(java.lang.String __onselected)

  HTML: script expression to invoke on node selection Setter for onselected

  Parameters:
    `onselected` - - new value

### getOnselected

    public java.lang.String getOnselected()

  HTML: script expression to invoke on node selection Getter for onselected

  Returns:
    onselected value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setTypeMapping

    public void setTypeMapping(java.lang.Object __typeMapping)

  Map between a draggable type and an indicator name on zone. it's defined with the pair (drag type:indicator name)) Setter for typeMapping

  Parameters:
    `typeMapping` - - new value

### getTypeMapping

    public java.lang.Object getTypeMapping()

  Map between a draggable type and an indicator name on zone. it's defined with the pair (drag type:indicator name)) Getter for typeMapping

  Returns:
    typeMapping value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UITreeNode`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UITreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.